Update a Folder
Endpoint used to update a folder in a Toolzz Bots workspace.
Request Example
Section titled “Request Example”curl --request PATCH \ --url 'https://bots.toolzz.ai/api/v1/folders/{folderId}' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "workspaceId": "<string>", "folder": {} }'Response Example
Section titled “Response Example”{ "folder": { "id": "<string>", "name": "<string>", "workspaceId": "<string>", "createdAt": "<string>", "updatedAt": "<string>" }}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (must contain “Bearer” before the token) | Yes |
URL Parameters (Path)
Section titled “URL Parameters (Path)”| Parameter | Type | Description | Required |
|---|---|---|---|
folderId | string | The unique identifier of the folder to update. | Yes |
Body Parameters
Section titled “Body Parameters”| Parameter | Type | Description | Required |
|---|---|---|---|
workspaceId | string | The unique identifier of the workspace the folder belongs to. | Yes |
folder | object[] | The new data to update. | Yes |
Response description
Section titled “Response description”| Key | Type | Description |
|---|---|---|
folder | object | The updated workspace folder information. |
folder.id | string | The folder unique identifier. |
folder.name | string | The folder name. |
folder.workspaceId | string | Unique identifier of the workspace the folder belongs to. |
folder.createdAt | string | The folder creation date. |
folder.updatedAt | string | The folder last update date. |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request.